Subject: Re: [PATCH v10 08/22] IB/hns: Add icm support

From: Leon Romanovsky <[email-masked]>
Date: Mon, 20 Jun 2016 12:27:19 +0300

On Mon, Jun 20, 2016 at 03:49:24PM +0800, Wei Hu (Xavier) wrote:
> 
> 
> On 2016/6/20 14:06, Leon Romanovsky wrote:
> >On Mon, Jun 20, 2016 at 12:37:40PM +0800, Wei Hu (Xavier) wrote:
> >>
> >>On 2016/6/17 17:58, Leon Romanovsky wrote:
> >>>On Thu, Jun 16, 2016 at 10:35:16PM +0800, Lijun Ou wrote:
> >>>>This patch mainly added icm support for RoCE. It initializes icm
> >>>>which managers the relative memory blocks for RoCE. The data
> >>>>structures of RoCE will be located in it. For example, CQ table,
> >>>>QP table and MTPT table so on.
> >>>>
> >>>>Signed-off-by: Wei Hu <[email-masked]>
> >>>>Signed-off-by: Nenglong Zhao <[email-masked]>
> >>>>Signed-off-by: Lijun Ou <[email-masked]>
> >>>>---
> >>><...>
> >>>
> >>>>+
> >Another question which you didn't answer [1].
> >
> >"I wonder if you have the same needs for ICM as it is in mlx4 device.
> >Do you have firmware?"
> >
> >[1] http://marc.info/?l=linux-rdma&m=146545553104913&w=2
> Hi, Leon
>     Now we haven't firmware.
>     But hardware still need memory for QPC\CQC\MTPT\mtt etc.

ICM stands for InfiniHost (Interconnect) Context Memory is a specific
memory place to share between host <-> FW and host <-> HW if HW is
aware of specific structures.

I assume that in your case, it is enough to allocate memory region and
supply it to HW. Am I right?

> Thanks
> Wei Hu
> >>Regards
> >>Wei Hu